Package it.ernytech.tdlib

## Class TdApi.User

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.User

Enclosing class:
  TdApi

    public static class TdApi.User
    extends TdApi.Object

Represents a user.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `firstName` First name of the user.
`boolean` `haveAccess` If false, the user is inaccessible, and the only information known about the user is inside this class.
`int` `id` User identifier.
`TdApi.LinkState` `incomingLink` Relationship from the other user to the current user.
`boolean` `isVerified` True, if the user is verified.
`java.lang.String` `languageCode` IETF language tag of the user's language; only available to bots.
`java.lang.String` `lastName` Last name of the user.
`TdApi.LinkState` `outgoingLink` Relationship from the current user to the other user.
`java.lang.String` `phoneNumber` Phone number of the user.
`TdApi.ProfilePhoto` `profilePhoto` Profile photo of the user; may be null.
`java.lang.String` `restrictionReason` If non-empty, it contains the reason why access to this user must be restricted.
`TdApi.UserStatus` `status` Current online status of the user.
`TdApi.UserType` `type` Type of the user.
`java.lang.String` `username` Username of the user.

### Constructor Summary

Constructors
`User()` Default constructor.

`User​(int id, java.lang.String firstName, java.lang.String lastName, java.lang.String username, java.lang.String phoneNumber, TdApi.UserStatus status, TdApi.ProfilePhoto profilePhoto, TdApi.LinkState outgoingLink, TdApi.LinkState incomingLink, boolean isVerified, java.lang.String restrictionReason, boolean haveAccess, TdApi.UserType type, java.lang.String languageCode)`

Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public int id

User identifier.

#### firstName

    public java.lang.String firstName

First name of the user.

#### lastName

    public java.lang.String lastName

Last name of the user.

#### username

    public java.lang.String username

Username of the user.

#### phoneNumber

    public java.lang.String phoneNumber

Phone number of the user.

#### status

    public TdApi.UserStatus status

Current online status of the user.

#### profilePhoto

    public TdApi.ProfilePhoto profilePhoto

Profile photo of the user; may be null.

#### outgoingLink

    public TdApi.LinkState outgoingLink

Relationship from the current user to the other user.

#### incomingLink

    public TdApi.LinkState incomingLink

Relationship from the other user to the current user.

#### isVerified

    public boolean isVerified

True, if the user is verified.

#### restrictionReason

    public java.lang.String restrictionReason

If non-empty, it contains the reason why access to this user must be restricted. The format of the string is "{type}: {description}". {type} contains the type of the restriction and at least one of the suffixes "-all", "-ios", "-android", or "-wp", which describe the platforms on which access should be restricted. (For example, "terms-ios-android". {description} contains a human-readable description of the restriction, which can be shown to the user.)

#### haveAccess

    public boolean haveAccess

If false, the user is inaccessible, and the only information known about the user is inside this class. It can't be passed to any method except GetUser.

#### type

    public TdApi.UserType type

Type of the user.

#### languageCode

    public java.lang.String languageCode

IETF language tag of the user's language; only available to bots.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### User

    public User()

Default constructor.

#### User

    public User​(int id,
                java.lang.String firstName,
                java.lang.String lastName,
                java.lang.String username,
                java.lang.String phoneNumber,
                TdApi.UserStatus status,
                TdApi.ProfilePhoto profilePhoto,
                TdApi.LinkState outgoingLink,
                TdApi.LinkState incomingLink,
                boolean isVerified,
                java.lang.String restrictionReason,
                boolean haveAccess,
                TdApi.UserType type,
                java.lang.String languageCode)

Constructor for initialization of all fields.

Parameters:
  `id` - User identifier.
  `firstName` - First name of the user.
  `lastName` - Last name of the user.
  `username` - Username of the user.
  `phoneNumber` - Phone number of the user.
  `status` - Current online status of the user.
  `profilePhoto` - Profile photo of the user; may be null.
  `outgoingLink` - Relationship from the current user to the other user.
  `incomingLink` - Relationship from the other user to the current user.
  `isVerified` - True, if the user is verified.
  `restrictionReason` - If non-empty, it contains the reason why access to this user must be restricted. The format of the string is "{type}: {description}". {type} contains the type of the restriction and at least one of the suffixes "-all", "-ios", "-android", or "-wp", which describe the platforms on which access should be restricted. (For example, "terms-ios-android". {description} contains a human-readable description of the restriction, which can be shown to the user.)
  `haveAccess` - If false, the user is inaccessible, and the only information known about the user is inside this class. It can't be passed to any method except GetUser.
  `type` - Type of the user.
  `languageCode` - IETF language tag of the user's language; only available to bots.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR